
/**
 * Bank class with multiple bank accounts.
 * The class facilitates transactions on the accounts.
 * 
 * @author John Paul Vergara
 * @version 08/03/2005
 */
public class Bank
{
    private BankAccount john = null;
    private BankAccount marsha = null;
   
    public Bank()
    {
        john = new BankAccount( 1000 );
        marsha = new BankAccount( 2000 );
    }
    
    public void deposit( String name, double amount )
    {
        if ( name.equals( "john" ) )
        {
            john.deposit( amount );
        }
        else if ( name.equals( "marsha" ) )
        {
            marsha.deposit( amount );
        }
        else
        {
            System.out.println( "No such account." );
        }
    }
    
    public void withdraw( String name, double amount )
    {
        if ( name.equals( "john" ) )
        {
            john.withdraw( amount );
        }
        else if ( name.equals( "marsha" ) )
        {
            marsha.withdraw( amount );
        }
        else
        {
            System.out.println( "No such account." );
        }
    }
    
    public double getBalance( String name )
    {
        if ( name.equals( "john" ) )
        {
            return john.getBalance();
        }
        else if ( name.equals( "marsha" ) )
        {
            return marsha.getBalance();
        }
        else
        {
            return 0;
        }
    }
}
