/**
 *
 * Carries out transactions with a Bank object
 * through a visual interface
 *
 * @author John Paul Vergara
 * @version 1.0
 *
 **/
 
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class BankFrame extends JFrame 
{
	private JButton withdraw;
	private JButton deposit;
    private JTextField nameField;
    private JTextField amountField;
    private JLabel status;
    private Bank bank;
    
    public BankFrame()
    {
    	bank = new Bank();
    	
    	// notice that setLayout() and add()
    	// are called on the frame object,
    	// not on the the content pane.
    	// either convention works.
    	
        setLayout( new FlowLayout() );
        add( new Label("Name  " ));        
        nameField = new JTextField( 10 );
        add( nameField );
        add( new Label("Amount" ));        
        amountField = new JTextField( 10 );
        add( amountField );
        status = new JLabel("Welcome to the bank");
        add( status );
        
        withdraw = new JButton( "withdraw" );
        add( withdraw );
        
        class WListener implements ActionListener
        {
        	public void actionPerformed( ActionEvent ae )
        	{
        		double amount = Double.parseDouble( amountField.getText() );
        		String n = nameField.getText();
        		bank.withdraw( n, amount );
        		status.setText( n + " balance: " + bank.getBalance( n ));
        		
        	}
        }
        withdraw.addActionListener( new WListener() );
        
        deposit = new JButton( "deposit" );
        add( deposit );
        
        class DListener implements ActionListener
        {
        	public void actionPerformed( ActionEvent ae )
        	{
        		double amount = Double.parseDouble( amountField.getText() );
        		String n = nameField.getText();
        		bank.deposit( n, amount );
        		status.setText( n + " balance: " + bank.getBalance( n ));
        		
        	}
        }
        deposit.addActionListener( new DListener() );
    }  
}
